Staking Data
API Key Management

List API Keys

Returns all API keys for the authenticated user (active and revoked). The api_key value is masked in this response.

GET
/public/billing/api-keys
X-API-Key<token>

In: header

Response Body

application/json

curl -X GET "https://api.stakingrewards.com/public/billing/api-keys"
[
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "api_key": "sr1-****-af6b",
    "label": "Production",
    "credit_limit": 50000,
    "is_active": true,
    "revoked_at": null,
    "created_at": "2026-01-15T10:00:00Z",
    "used_credits": 12340,
    "last_used_at": "2026-03-05T18:22:00Z"
  },
  {
    "id": "7cb12d33-1234-4abc-9def-aabbccddeeff",
    "api_key": "sr1-****-cc12",
    "label": "Staging",
    "credit_limit": null,
    "is_active": false,
    "revoked_at": "2026-02-01T08:30:00Z",
    "created_at": "2026-01-10T09:00:00Z",
    "used_credits": 0,
    "last_used_at": null
  }
]
Empty